Truffle Project overview
========================

In this **Microfinance** system all the smart contracts were developed using Truffle.
the ``blockchain`` directory contains the Truffle project.
In this section we discuss about overview of the truffle project.

Project structure
------------------

Here is the project structure of the Truffle project. This project helps to develop and deploy the Smart Contracts for 
Microfinance project. ::

    Microfinance
    |--blockchain
    |  |--contracts
    |  |--migrations
    |  |--test
    |  |--truffle-config.js

* ``contracts/``: Directory for solidity smart contracts.
* ``migrations/``: Directory for scriptable deployment files.
* ``test/``: Directory of test files to test contracts.
* ``truffle-config.js``: Truffle configuration file.